VkPhysicalDeviceMemoryProperties Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkPhysicalDeviceMemoryProperties:
[legend]

## Data Fields

uint32_t | memoryTypeCount
VkMemoryType | memoryTypes [VK_MAX_MEMORY_TYPES]
uint32_t | memoryHeapCount
VkMemoryHeap | memoryHeaps [VK_MAX_MEMORY_HEAPS]

## Detailed Description

Definition at line 2017 of file vulkan_core.h.

## Field Documentation

## memoryHeapCount

uint32_t VkPhysicalDeviceMemoryProperties::memoryHeapCount

Definition at line 2020 of file vulkan_core.h.

## memoryHeaps

VkMemoryHeap VkPhysicalDeviceMemoryProperties::memoryHeaps[VK_MAX_MEMORY_HEAPS]

Definition at line 2021 of file vulkan_core.h.

## memoryTypeCount

uint32_t VkPhysicalDeviceMemoryProperties::memoryTypeCount

Definition at line 2018 of file vulkan_core.h.

## memoryTypes

VkMemoryType VkPhysicalDeviceMemoryProperties::memoryTypes[VK_MAX_MEMORY_TYPES]

Definition at line 2019 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h